cant open htc software ( You are Using Old Version Please Update. )

Hi team

am trying to open htc fire edition v1.2 but cant open it because getting old version error

Starting..
Asking Server for Access..
You are Using Old Version Please Update..

plz fix this issue sir because i cant see anyother version

thx